VTF Plug-In for Photoshop - NemPosted: May 6th, 2005 - 3:08:47 pm
About:

VTF Plug-In is an Adobe Photoshop 6.0 and up file format plug-in for the .vtf file format. It is a simple plug-in that supports single-frame/single-face, 3 or 4 channel .vtf files in any format. It is designed for typical .vtf creation and viewing and does not contain the advanced features found in VTFEdit. Nonetheless, it can be a useful tool for creating simple .vtf files. The plug-in does not support 64 bit versions of Photoshop.

Screenshots:

VTF Plug-In

Download: Revision History:

v1.0.11
  • Fixed alpha channel premultiplying on open.
v1.0.10
  • Added support for multiple alpha channels.
v1.0.9
  • Added support for version 7.4 of the VTF format.
  • Upgraded to VTFLib v1.2.7.
v1.0.8
  • Added support for version 7.3 of the VTF format.
  • Upgraded to VTFLib v1.2.6.
v1.0.7
  • Added spray templates.
  • Upgraded to VTFLib v1.2.5.
v1.0.6
  • Added "Mipmaps" option.
  • Upgraded to VTFLib v1.2.2.
v1.0.5
  • Added support for 16 bit channel reading.
  • Upgraded to VTFLib v1.2.1.
v1.0.4
  • Upgraded to VTFLib v1.2.0.
v1.0.3
  • Upgraded to VTFLib v1.1.3.
v1.0.2
  • Added format templates.
v1.0.1
  • Improved format specific flag handling.
  • Fixed combobox height.
v1.0.0
  • Original build.
Modified: Mar 5th, 2013 - 4:27:23 am[ 542778 Views ]

[ 1 2 3 4 5 6 7 8 9 10 ]

136. markmarkPosted: Apr 27th, 2014 - 6:28:00 am
Hi nem, first of all thanks for this, seems like an useful tool. Can I ask a dumb question? This plugin allows us to select .vtf format when clicking "Save As" or how do we use it? Because I tried to install it and I can't find .vtf when clicking "save as".

137. DanishPosted: Dec 2nd, 2014 - 4:51:50 am
how to install it ????

138. AirForce101HDPosted: Sep 5th, 2015 - 3:07:01 am
I get this error in photoshop any fix?
Plug-ins that failed to load:

VTF NO VERSION - - from the file “VTF.8bi”

139. BeNNy5Posted: Jul 23rd, 2016 - 4:16:35 am
I'm using photoshop CC but whenever I try to open the file...it gives me this error saying "Could not complete your request because it is not the right kind of document"
Plz help

140. zhulikkulikModified: Aug 21st, 2016 - 11:37:11 am
Okay, I suppose everyone using Photoshop CC must download a x32 version here https://helpx.adobe.com/photoshop/kb/download-photoshop.html as this plugin doesn't work on x64 version which is clearly stated in description and which I didn't even notice at first. I'll try and write here if it worked

141. zhulikkulikModified: Aug 21st, 2016 - 11:37:55 am
Yes, It does work. Download x32 photoshop from link in my previous comment and plugin will work correctly.

[ 1 2 3 4 5 6 7 8 9 10 ]

You must be logged in to post a comment.
New users can register here.
Nem's Tools v2.0 © 2006 Ryan Gregg.
Execution time: 0.059094s; Queries: 17.
dishes served.
Powered by The Wavelength.

Valid XHTML 1.0 Transitional Valid CSS
π